Search the Community
Showing results for tags 'attribute field'.
-
Block Insert, Center and Auto Fill Attribute values, by clicking two points input
jfklimek posted a topic in AutoLISP, Visual LISP & DCL
I'm having trouble finishing this LISP. Can anyone help me out. The command line is telling me the command I'm entering 'roomtag' is unknown. It's probably something little but I can't seem to figure it out. Please help out if you can. Thanks! ;;;Place Room Tag in Middle of Room and Auto Fill 'x' and 'y' Attribute Values (defun c:RoomTag (/ pt1 pt3 rx ry pt5) (initget 1) (setq pt1 (getpoint "\nFirst Corner: ")) (initget 1) (setq pt3 (getcorner "\nOpposite Corner: ")) (setq rx (abs (- (car pt3)(car pt1)))) (setq ry (abs (- (cadr pt3)(cadr pt1)))) (setq pt5 ((+ rx pt1) (- ry pt3))) (command "_INSERT" "Tag_Room-Dim" pt5 "" "" pause pause rx ry "") (princ)- 11 replies
-
- block insert
- attribute field
-
(and 1 more)
Tagged with:
-
Link attribute value to another attribute value
doru10 posted a topic in AutoLISP, Visual LISP & DCL
Hello all, I have two blocks with different attributes. want a connection between the two blocks especially in the areas marked in yellow. node when the value changes from 56 to 101 to make update the labels. Attach an example. best regards Sample Annotation Pipe for link.dwg- 18 replies
-
- link
- hyperlinks
-
(and 3 more)
Tagged with:
-
insert a formula in the block attribute value via vba
aleair posted a topic in .NET, ObjectARX & VBA
Hi everybody, I'm new with autocad. Actually it's my first time I need to write a VBA procedure for autocad. That's the reason why I'm posting this thread. I have blocks with attribute. In one of this attribute I want to insert an expression that calculates a polyline area. Doing it manually works. the expression is: "%%).Area>%" where 2130001176 is the ObjectID of the specific poly. I tried to insert the expression via vba with this code: attArr = oBlkRef.GetAttributes attArr(3).TextString = "%%).Area>%" It doesn't work and the value (corresponding to the poly area) is not calculated. Only "####" is shown as value. Any idea how to insert the expression via VBA?